> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Playbook

> Update an existing team playbook

Update an existing team playbook. Requires ManageOrgPlaybooks permission. Only team playbooks can be updated.


## OpenAPI

````yaml /v1-openapi.yaml PUT /v1/playbooks/{playbook_id}
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/playbooks/{playbook_id}:
    put:
      summary: Update playbook
      description: Update an existing team playbook.
      operationId: update_playbook_v1_playbooks__playbook_id__put
      parameters:
        - in: path
          name: playbook_id
          required: true
          schema:
            title: Playbook Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePlaybookRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePlaybookResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreatePlaybookRequest:
      properties:
        body:
          minLength: 1
          title: Body
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        title:
          minLength: 1
          title: Title
          type: string
      required:
        - title
        - body
      title: CreatePlaybookRequest
      type: object
    UpdatePlaybookResponse:
      description: Response for successful playbook update.
      properties:
        status:
          title: Status
          type: string
      required:
        - status
      title: UpdatePlaybookResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````